Bug 1127483 - [RFE] Add heartbeat or ping option to katello-agent
Summary: [RFE] Add heartbeat or ping option to katello-agent
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: David Davis
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 23:47 UTC by Mike McCune
Modified: 2016-09-07 18:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-07 18:48:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16168 None None None 2016-08-18 13:38:11 UTC

Description Mike McCune 2014-08-06 23:47:48 UTC
The UI/CLI/API all need an accurate way to display if the connection between the client and the server is active.

Either implement a heartbeat or a ping command that could be run manually where the agent could respond to requests for a successful round-trip communication.

This will allow our interface to properly show the status to the user.

Comment 1 David Davis 2014-08-07 11:32:59 UTC
See the conversation in the following PR on how to alter the UI once we have this:

https://github.com/Katello/katello/pull/4515

Comment 2 Justin Sherrill 2016-09-07 18:48:03 UTC
Since goferd-style communication is going away, i'm closing this as rejected


Note You need to log in before you can comment on or make changes to this bug.